Bridgly SDK
import { Bridgly } from '@bridgly/sdk';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.instagram.getPost({
shortcode: "string",
});
if (res.type === 'success') console.log(res.data);curl --request POST \
--url https://api.bridgly.app/instagram/post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shortcode": "<string>",
"cacheMaxAgeHours": 123,
"cacheOnly": true
}
'import requests
url = "https://api.bridgly.app/instagram/post"
payload = {
"shortcode": "<string>",
"cacheMaxAgeHours": 123,
"cacheOnly": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shortcode: '<string>', cacheMaxAgeHours: 123, cacheOnly: true})
};
fetch('https://api.bridgly.app/instagram/post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridgly.app/instagram/post",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'shortcode' => '<string>',
'cacheMaxAgeHours' => 123,
'cacheOnly' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridgly.app/instagram/post"
payload := strings.NewReader("{\n \"shortcode\": \"<string>\",\n \"cacheMaxAgeHours\": 123,\n \"cacheOnly\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridgly.app/instagram/post")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"shortcode\": \"<string>\",\n \"cacheMaxAgeHours\": 123,\n \"cacheOnly\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridgly.app/instagram/post")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"shortcode\": \"<string>\",\n \"cacheMaxAgeHours\": 123,\n \"cacheOnly\": true\n}"
response = http.request(request)
puts response.read_body{
"timeMs": 123,
"creditsCost": 123,
"cachedAt": "2023-11-07T05:31:56Z",
"data": {
"id": "<string>",
"shortcode": "<string>",
"url": "<string>",
"type": "Image",
"likes": 0,
"comments": 0,
"timestamp": 123,
"is_video": false,
"display_url": "<string>",
"video_url": "<string>",
"caption": "<string>",
"video_view_count": 123
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Instagram
Get post details by shortcode
Get an Instagram post or Reel by its shortcode, the code in its link (instagram.com/p/<shortcode>). Returns the caption, image or video link, like and comment counts, timestamp and, for videos, the view count. Costs 1 credit per request.
POST
/
instagram
/
post
Bridgly SDK
import { Bridgly } from '@bridgly/sdk';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.instagram.getPost({
shortcode: "string",
});
if (res.type === 'success') console.log(res.data);curl --request POST \
--url https://api.bridgly.app/instagram/post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shortcode": "<string>",
"cacheMaxAgeHours": 123,
"cacheOnly": true
}
'import requests
url = "https://api.bridgly.app/instagram/post"
payload = {
"shortcode": "<string>",
"cacheMaxAgeHours": 123,
"cacheOnly": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shortcode: '<string>', cacheMaxAgeHours: 123, cacheOnly: true})
};
fetch('https://api.bridgly.app/instagram/post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridgly.app/instagram/post",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'shortcode' => '<string>',
'cacheMaxAgeHours' => 123,
'cacheOnly' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridgly.app/instagram/post"
payload := strings.NewReader("{\n \"shortcode\": \"<string>\",\n \"cacheMaxAgeHours\": 123,\n \"cacheOnly\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridgly.app/instagram/post")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"shortcode\": \"<string>\",\n \"cacheMaxAgeHours\": 123,\n \"cacheOnly\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridgly.app/instagram/post")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"shortcode\": \"<string>\",\n \"cacheMaxAgeHours\": 123,\n \"cacheOnly\": true\n}"
response = http.request(request)
puts response.read_body{
"timeMs": 123,
"creditsCost": 123,
"cachedAt": "2023-11-07T05:31:56Z",
"data": {
"id": "<string>",
"shortcode": "<string>",
"url": "<string>",
"type": "Image",
"likes": 0,
"comments": 0,
"timestamp": 123,
"is_video": false,
"display_url": "<string>",
"video_url": "<string>",
"caption": "<string>",
"video_view_count": 123
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Authorizations
Body
application/json
Post shortcode, or the post or Reel link, e.g. "DA1b2C3d4E5" or "https://www.instagram.com/p/DA1b2C3d4E5/".
Minimum string length:
1Accept a cached result scraped up to this many hours ago. A cached result costs no credits, and its cachedAt says when it was scraped. When no cached result is that recent, the data is scraped live at the normal price. Leave it out to always scrape live, e.g. 24.
Required range:
x <= 9007199254740991Response
Default Response
When the returned data was scraped, if it came from the cache. Null when it was scraped live for this request.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Was this page helpful?